package org.springblade.modules.api.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 设备心跳数据
 */
@Data
public class VendingHeartReq {

    //心跳：正常{"machine_id":"1814145843008155650","Status":"OK","ErrorNum":"0","ErrorArray":{},"Location":"N,ddmm.mmmm,E,dddmm.mmmm"}
    //心跳：故障{"machine_id":"1814145843008155650","Status":"FAIL","ErrorNum":"2","ErrorArray":{"1001,2001"},"Location":"N,ddmm.mmmm,E,dddmm.mmmm"}

    @ApiModelProperty(value = "设备id")
    private String machine_id;

    @ApiModelProperty(value = "设备状态")
    private String Status;

    @ApiModelProperty(value = "错误码数量")
    private String ErrorNum;

    @ApiModelProperty(value = "错误代码")
    private String ErrorArray;

    @ApiModelProperty(value = "设备地址")
    private String Location;

}
