package org.springblade.modules.api.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 设备出货回调
 */
@Data
public class VendingShipReq {

    //成功：{"machine_id":"001","SaleSn":"1234567890","OrderGoodsId":"789456132","ChannelNum":"1","Channel":"2","Status":"OK"}
    //失败：{"machine_id":"001","SaleSn":"1234567890","OrderGoodsId":"789456132","ChannelNum":"1","Channel":"2","Status":"FAIL"}

    @ApiModelProperty(value = "设备id")
    private String machine_id;

    @ApiModelProperty(value = "订单号")
    private String SaleSn;

    @ApiModelProperty(value = "出货的货道编号")
    private String OrderGoodsId;

    @ApiModelProperty(value = "出货的货道编号")
    private String Channel;

    @ApiModelProperty(value = "货道出货数量")
    private String ChannelNum;

    @ApiModelProperty(value = "出货状态")
    private String Status;

}
