package org.springblade.modules.api.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value = "售货机订单返回", description = "售货机订单返回")
public class VendingOrderRes {

//    machine_id=001；//机器码
//    SaleSn=1234567890；//订单号
//    ChannelNum=3；//出货的货道数量
//    Saledata;//出货信息。Saledata后面跟着货道号和对应的数量，下面例子中1货道1个，3货道2个，6货道1个。
//
//    {"machine_id":"001","SaleSn":"1234567890","OrderGoodsId":"789456132","ChannelNum":"3","Saledata":{"1":"1","3":"2","6":"1"}}

    @ApiModelProperty(value = "机器码")
    private String machine_id;

    @ApiModelProperty(value = "订单号")
    private String SaleSn;

    @ApiModelProperty(value = "货道总出货数量")
    private String ChannelNum;

    @ApiModelProperty(value = "出货商品信息")
    private List<VendingOrderGoodsRes> Saledata;

}
